/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl.extensions;

import javax.xml.namespace.QName;
import java.util.List;
import java.util.Map;

public interface AttributeExtensible {
   public static final int LIST_OF_QNAMES_TYPE = 3;
   public static final int LIST_OF_STRINGS_TYPE = 2;
   public static final int NO_DECLARED_TYPE = -1;
   public static final int QNAME_TYPE = 1;
   public static final int STRING_TYPE = 0;

   Object getExtensionAttribute(QName name);
   Map getExtensionAttributes();
   List getNativeAttributeNames();
   void setExtensionAttribute(QName name, Object value);
}

