/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl.extensions;

import javax.xml.namespace.QName;
import javax.wsdl.Definition;
import javax.wsdl.WSDLException;
import org.w3c.dom.Element;

public interface ExtensionDeserializer {
   ExtensibilityElement unmarshall(Class parentType,
                                   QName elementType, 
                                   Element el, 
                                   Definition def, 
                                   ExtensionRegistry extReg) throws WSDLException;
}

