/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl;
import java.util.Map;

public interface BindingOperation extends WSDLElement {
   void addBindingFault(BindingFault bindingFault);
   BindingFault getBindingFault(String name);
   Map getBindingFaults();
   BindingInput getBindingInput();
   BindingOutput getBindingOutput();
   String getName();
   Operation getOperation();
   BindingFault removeBindingFault(String name);
   void setBindingInput(BindingInput bindingInput);
   void setBindingOutput(BindingOutput bindingOutput);
   void setName(String name);
   void setOperation(Operation operation);
}

