/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl;

import javax.xml.namespace.QName;
import java.util.List;

public interface PortType extends WSDLElement {
   void addOperation(Operation operation);
   Operation getOperation(String name, String inputName, String outputName);
   List getOperations();
   QName getQName();
   boolean isUndefined();
   Operation removeOperation(String name, String inputName, String outputName);
   void setQName(QName name);
   void setUndefined(boolean isUndefined);
}

