/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl.factory;

import javax.wsdl.Definition;
import javax.wsdl.extensions.ExtensionRegistry;
import javax.wsdl.xml.WSDLReader;
import javax.wsdl.xml.WSDLWriter;

public abstract class WSDLFactory extends java.lang.Object {
   public abstract Definition newDefinition();
   public static WSDLFactory newInstance() {return null;}
   public static WSDLFactory newInstance(String factoryImplName) {return null;}
   public static WSDLFactory newInstance(String factoryImplName, ClassLoader classLoader) {return null;}
   public abstract ExtensionRegistry newPopulatedExtensionRegistry();
   public abstract WSDLReader newWSDLReader();
   public abstract WSDLWriter newWSDLWriter();
}

