/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl.xml;

import java.io.OutputStream;
import java.io.Writer;

import javax.wsdl.Definition;

import org.w3c.dom.Document;

public interface WSDLWriter {
   Document getDocument(Definition wsdlDef);
   boolean getFeature(String name);
   void setFeature(String name, boolean value);
   void writeWSDL(Definition wsdlDef, OutputStream sink);
   void writeWSDL(Definition wsdlDef, Writer sink);
}

